---

# Auto-generated with Jsonnet from main.jsonnet
# Do NOT edit!!

- copy:
    dest: "{{ xdg_dir.config_home }}/starship.toml"
    mode: "644"
    src: "starship.toml"
  name: "starship | Copy shell prompt config"
  tags:
  - "shells"
  - "starship"
- include_tasks:
    apply:
      tags:
      - "terminal"
      - "{{ item }}"
    file: "{{ item }}.yml"
  loop: "{{ terminal_emulators }}"
  name: "Configure terminal emulators"
  tags:
  - "terminal"
  - "foot"
  - "alacritty"
- copy:
    dest: "{{ xdg_dir.config_home }}/user-dirs.dirs"
    mode: "644"
    src: "user-dirs.dirs"
  name: "xdg-user-dirs | Configure XDG_USER_DIRS definitions"
  tags: "xdg-user-dirs"
- block:
  - file:
      mode: "755"
      path: "{{ xdg_dir.config_home }}/go/telemetry"
      state: "directory"
    name: "golang | Create Go config directory"
  - copy:
      content: |
        off {{ '%Y-%m-%d' | strftime }}
      dest: "{{ xdg_dir.config_home }}/go/telemetry/mode"
      mode: "644"
    name: "golang | Set mode file to off with current date"
  name: "golang | Set telemetry to off"
  tags:
  - "gotelemetry"
  - "golang"
- import_tasks: "aerc.yml"
  name: "Configure aerc"
  tags: "aerc"
- import_tasks: "animdl.yml"
  name: "Configure animdl"
  tags: "animdl"
- import_tasks: "bash.yml"
  name: "Configure bash"
  tags:
  - "shells"
  - "bash"
- import_tasks: "bat.yml"
  name: "Configure bat"
  tags: "bat"
- import_tasks: "btop.yml"
  name: "Configure btop"
  tags: "btop"
- import_tasks: "calcurse.yml"
  name: "Configure calcurse"
  tags: "calcurse"
- import_tasks: "castero.yml"
  name: "Configure castero"
  tags: "castero"
- import_tasks: "cava.yml"
  name: "Configure cava"
  tags: "cava"
- become: true
  import_tasks: "chromium.yml"
  name: "Configure chromium"
  tags: "chromium"
- import_tasks: "element-desktop.yml"
  name: "Configure element-desktop"
  tags: "element-desktop"
- import_tasks: "emacs.yml"
  name: "Configure emacs"
  tags: "emacs"
- import_tasks: "fcitx5.yml"
  name: "Configure fcitx5"
  tags: "fcitx5"
- import_tasks: "fish.yml"
  name: "Configure fish"
  tags:
  - "shells"
  - "fish"
- import_tasks: "fontconfig.yml"
  name: "Configure fontconfig"
  tags: "fontconfig"
- import_tasks: "fuzzel.yml"
  name: "Configure fuzzel"
  tags: "launcher"
  when: "launcher == \"fuzzel\""
- import_tasks: "gallery-dl.yml"
  name: "Configure gallery-dl"
  tags: "gallery-dl"
- import_tasks: "gdb.yml"
  name: "Configure gdb"
  tags: "gdb"
- import_tasks: "git.yml"
  name: "Configure git"
  tags: "git"
- import_tasks: "glow.yml"
  name: "Configure glow"
  tags: "glow"
- import_tasks: "gnupg.yml"
  name: "Configure gnupg"
  tags: "gnupg"
- import_tasks: "imv.yml"
  name: "Configure imv"
  tags: "imv"
  when: "image_viewer == \"imv\""
- import_tasks: "k9s.yml"
  name: "Configure k9s"
  tags: "k9s"
- import_tasks: "lazygit.yml"
  name: "Configure lazygit"
  tags: "lazygit"
- import_tasks: "luarocks.yml"
  name: "Configure luarocks"
  tags: "luarocks"
- import_tasks: "lsd.yml"
  name: "Configure lsd"
  tags: "lsd"
- import_tasks: "mimeapps.yml"
  name: "Configure mimeapps"
  tags: "mimeapps"
- import_tasks: "mpd.yml"
  name: "Configure mpd"
  tags: "mpd"
- import_tasks: "mpv.yml"
  name: "Configure mpv"
  tags: "mpv"
- import_tasks: "newsboat.yml"
  name: "Configure newsboat"
  tags: "newsboat"
- import_tasks: "notification.yml"
  name: "Configure notification"
  tags: "notification"
- import_tasks: "npm.yml"
  name: "Configure npm"
  tags: "npm"
- import_tasks: "nushell.yml"
  name: "Configure nushell"
  tags:
  - "shells"
  - "nushell"
- import_tasks: "nvim.yml"
  name: "Configure nvim"
  tags: "nvim"
- import_tasks: "pyradio.yml"
  name: "Configure pyradio"
  tags: "pyradio"
- import_tasks: "ripgrep.yml"
  name: "Configure ripgrep"
  tags: "ripgrep"
- import_tasks: "river.yml"
  name: "Configure river"
  tags: "river"
- import_tasks: "rofi.yml"
  name: "Configure rofi"
  tags: "launcher"
  when: "launcher == \"rofi\""
- import_tasks: "streamlink.yml"
  name: "Configure streamlink"
  tags: "streamlink"
- import_tasks: "superd.yml"
  name: "Configure superd"
  tags: "superd"
- import_tasks: "swappy.yml"
  name: "Configure swappy"
  tags: "swappy"
- import_tasks: "sway.yml"
  name: "Configure sway"
  tags: "sway"
- import_tasks: "translate-shell.yml"
  name: "Configure translate-shell"
  tags: "translate-shell"
- import_tasks: "vifm.yml"
  name: "Configure vifm"
  tags: "vifm"
- import_tasks: "waybar.yml"
  name: "Configure waybar"
  tags: "waybar"
- import_tasks: "weechat.yml"
  name: "Configure weechat"
  tags: "weechat"
- import_tasks: "wofi.yml"
  name: "Configure wofi"
  tags: "launcher"
  when: "launcher == \"wofi\""
- import_tasks: "xdg-desktop-portal-wlr.yml"
  name: "Configure xdg-desktop-portal-wlr"
  tags: "xdg-desktop-portal-wlr"
- import_tasks: "xonsh.yml"
  name: "Configure xonsh"
  tags:
  - "shells"
  - "xonsh"
- import_tasks: "yt-dlp.yml"
  name: "Configure yt-dlp"
  tags: "yt-dlp"
- import_tasks: "ytmdl.yml"
  name: "Configure ytmdl"
  tags: "ytmdl"
- import_tasks: "zathura.yml"
  name: "Configure zathura"
  tags: "zathura"
- import_tasks: "zellij.yml"
  name: "Configure zellij"
  tags: "zellij"
